[glade3] Modernize autotools configuration file



commit 5e8ed7e0dfacb654e58116c2bfb8ec18d9ffc3cb
Author: Javier Jardón <jjardon gnome org>
Date:   Wed Dec 29 16:57:01 2010 +0100

    Modernize autotools configuration file
    
    New dependencies:
    automake >= 1.11
    autoconf >= 2.64
    libtool >= 2.2.6
    intltool >= 0.41.0
    gtk-doc >= 1.13
    gnome-doc-utils >= 0.18

 ChangeLog          |    4 ++++
 Makefile.am        |    4 ++--
 autogen.sh         |   42 ++++++------------------------------------
 configure.ac       |   39 +++++++++++++++++++--------------------
 src/glade-window.c |    2 +-
 5 files changed, 32 insertions(+), 59 deletions(-)
---
diff --git a/ChangeLog b/ChangeLog
index 2e7e75b..8ef056b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2010-12-29  Javier Jardón <jjardon gnome org>
+
+	* autogen.sh, configure.ac: Modernize autotools configuration
+
 2010-12-29  Tristan Van Berkom <tristanvb openismus com>
 
 	* gladeui/glade-base-editor.c, gladeui/glade-editor-property.c,
diff --git a/Makefile.am b/Makefile.am
index 44e2c3d..fccb151 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,11 +1,11 @@
+ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
+
 SUBDIRS = po data gladeui src plugins doc
 
 if HAVE_GNOME_DOC_UTILS
 SUBDIRS += help
 endif
 
-ACLOCAL_AMFLAGS = -I m4
-
 EXTRA_DIST = \
 	autogen.sh \
 	COPYING.GPL \
diff --git a/autogen.sh b/autogen.sh
index 4744df0..1d8cd84 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,40 +13,10 @@ PKG_NAME="glade"
     exit 1
 }
 
-DIE=0
-
-# This is a bit complicated here since we can't use gnome-config yet.
-# It'll be easier after switching to pkg-config since we can then
-# use pkg-config to find the gnome-autogen.sh script.
-
-gnome_autogen=
-gnome_datadir=
-
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
-  test -z "$dir" && dir=.
-    if test -f $dir/gnome-autogen.sh ; then
-        gnome_autogen="$dir/gnome-autogen.sh"
-	gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
-	break
-    fi
-done
-IFS="$ifs_save"
-
-if test -z "$gnome_autogen" ; then
-  echo "You need to install the gnome-common module and make"
-  echo "sure the gnome-autogen.sh script is in your \$PATH."
-  exit 1
-fi
-
-automake_version=1.9
-
-#case `uname` in
-#CYGWIN*)
-  # automake 1.4 of cygwin does not define EGREP in libtool.m4, and
-  # fails to do the file magic test when -rpath is given
-#  automake_version=1.7
-#  ;;
-#esac
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common module and make"
+    echo "sure the gnome-autogen.sh script is in your \$PATH."
+    exit 1
+}
 
-GTKDOCIZE="gtkdocize --flavour no-tmpl" REQUIRED_GNOME_DOC_UTILS_VERSION=0.9.0 REQUIRED_AUTOMAKE_VERSION="$automake_version" GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
+. gnome-autogen.sh
diff --git a/configure.ac b/configure.ac
index 88ce38f..c135494 100644
--- a/configure.ac
+++ b/configure.ac
@@ -8,8 +8,10 @@ m4_define(glade_micro_version, 0)
 m4_define(glade_version, glade_major_version.glade_minor_version.glade_micro_version)
 
 AC_INIT([glade], [glade_version],
-	[http://bugzilla.gnome.org/enter_bug.cgi?product=glade3])
-	
+	[http://bugzilla.gnome.org/enter_bug.cgi?product=glade3],
+	[glade3],
+	[http://glade.gnome.org/])
+
 AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_SRCDIR([gladeui/glade.h])
 AC_CONFIG_MACRO_DIR([m4])
@@ -21,31 +23,27 @@ AC_SUBST(GLADE_MINOR_VERSION, glade_minor_version)
 AC_DEFINE(GLADE_MICRO_VERSION, glade_micro_version, [Glade micro version])
 AC_SUBST(GLADE_MICRO_VERSION, glade_micro_version)
 
-AC_CANONICAL_SYSTEM
-
-AM_INIT_AUTOMAKE([1.9 foreign no-dist-gzip dist-bzip2])
+AC_CANONICAL_TARGET
 
-AM_MAINTAINER_MODE
+AM_INIT_AUTOMAKE([1.11 foreign no-dist-gzip dist-bzip2])
+AM_MAINTAINER_MODE([enable])
 
 # Support silent build rules, requires at least automake-1.11. Disable
 # by either passing --disable-silent-rules to configure or passing V=1
 # to make
-m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
-
-IT_PROG_INTLTOOL([0.35.0])
-
-AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)
-AC_PATH_PROG(DLLTOOL, dlltool)
+AM_SILENT_RULES([yes])
 
-AC_ISC_POSIX
+# Checks for programs
 AC_PROG_CC
-AC_DISABLE_STATIC
 AC_PROG_INSTALL
 AC_PROG_MAKE_SET
 
-AC_LIBTOOL_DLOPEN
-AC_LIBTOOL_WIN32_DLL
-AM_PROG_LIBTOOL
+# Initialize libtool
+LT_PREREQ([2.2.6])
+LT_INIT([dlopen win32-dll disable-static])
+
+AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)
+AC_PATH_PROG(DLLTOOL, dlltool)
 
 # If the source code has changed at all, increment GLADE_REVISION
 # If any interfaces have been added, removed, or changed, increment GLADE_CURRENT, and set GLADE_REVISION to 0.
@@ -78,7 +76,6 @@ AM_CONDITIONAL(GLADE_UNSTABLE, test "x$GLADE_UNSTABLE" = "xyes")
 
 # ================================================================
 
-GNOME_COMMON_INIT
 GNOME_DEBUG_CHECK
 GNOME_COMPILE_WARNINGS([maximum])
 GNOME_MAINTAINER_MODE_DEFINES
@@ -93,6 +90,8 @@ AC_SUBST(PLUGINS_WARN_CFLAGS)
 dnl ================================================================
 dnl Gettext stuff.
 dnl ================================================================
+IT_PROG_INTLTOOL([0.41.0])
+
 GETTEXT_PACKAGE=AC_PACKAGE_NAME
 AC_SUBST(GETTEXT_PACKAGE)
 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [Name of the gettext package.])
@@ -116,7 +115,7 @@ AC_TRY_LINK([#include <stdarg.h>], [va_list ap1, ap2; va_copy(ap1, ap2);],
 dnl ================================================================
 dnl Check for gtk-doc
 dnl ================================================================
-GTK_DOC_CHECK(1.9)
+GTK_DOC_CHECK([1.13],[--flavour no-tmpl])
 
 dnl ================================================================
 dnl Check for gtk+
@@ -176,7 +175,7 @@ AM_CONDITIONAL(BUILD_PYTHON, test x"$have_python" = "xyes")
 # Glade User Manual (requires gnome-doc-utils)
 # ==================================================================
 
-GNOME_DOC_INIT([0.9.0],[],[:])
+GNOME_DOC_INIT([0.18],[],[:])
 
 dnl ================================================================
 dnl Check for windows
diff --git a/src/glade-window.c b/src/glade-window.c
index a825372..e6bbbd9 100644
--- a/src/glade-window.c
+++ b/src/glade-window.c
@@ -2008,7 +2008,7 @@ about_cb (GtkAction *action, GladeWindow *window)
 			       "wrap-license", TRUE,
 			       "copyright", copyright,
 			       "version", PACKAGE_VERSION,
-			       "website", "http://glade.gnome.org";,
+			       "website", PACKAGE_URL,
 			       NULL);
 }
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]